package com.hdkj.lt.base.enums;

/**
 * @Description:
 * @Author: wenhao
 * @Create: 2023/04/14 15:41
 * @Version: 1.0
 */
public enum YesOrNoEnum implements BaseValidEnum<String> {

    /**
     * 否
     */
    NO("0", "否"),

    /**
     * 是
     */
    YES("1", "是");

    final String code;

    final String desc;

    YesOrNoEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

}
